/* Generated by powerful Codeforces Tool
 * Author: xxxodarap
 * Time: 2023-10-09 16:36
 **/

#include<bits/stdc++.h>
using namespace std;
namespace R = std::ranges;

#define F(i, a, e) for(ll i = (a); i < (e); i++)
#define R(i, e) F(i, 0, e)

typedef long long ll;
typedef double lf;
typedef complex<lf> cp;
typedef pair<int, int> pii;


template<class T> bool ckmin(T& a, const T& b){ return b < a ? a = b, 1 : 0; }
template<class T> bool ckmax(T& a, const T& b){ return a < b ? a = b, 1 : 0; }


const lf PI = acos(-1), EPSI = 1e-9;

mt19937 rng(chrono::steady_clock::now().time_since_epoch().count());


// =============== Solution section ===============
const ll MOD = 998'244'353;

const ll MAXN = 2e5 + 5;
const ll INF = 1LL << 60;

ll N;

void solve(){
    // Code goes here ...
    cin >> N;

    if(N <= 9){
        // todo
        if(N <= 6)
            cout << "NO" << endl;
        else if(N == 7){
            cout << "YES" << endl;
            cout << 1 << " " << 2 << " " << 4 << endl;
        }
        else if(N == 8){
            cout << "YES" << endl;
            cout << 1 << " " << 2 << " " << 5 << endl;
        }
        else{
            // N == 9
            cout << "NO" << endl;
        }
        return;
    }
    // now N > 9
    if(N % 3 != 0){
        cout << "YES" << endl;
        cout << 1 << " " << 2 << " " << N - 3 << endl;
    }
    else{
        // 3 divides N
        cout << "YES" << endl;
        cout << 1 << " " << 4 << " " << N - 5 << endl;
    }
}


// =============== Main section ===============
int main(){
    ios_base::sync_with_stdio(0); cin.tie(0);
    cout << setprecision(12); // << fixed;

    int T = 1;
    cin >> T;
    while(T--)
        solve();

    /* string rest; */
    /* while(cin.peek() != char_traits<char>::eof()){ */
    /*     solve(); */
    /*     getline(cin, rest); */
    /* } */

    return 0;
}
        
